# -*- coding: utf-8 -*-

from scrapy.http import Request

import scrapy
import json

class ArchiveSpider(scrapy.Spider):
    name = "archive"
    allowed_domains = ["archive.org"]
    start_urls = ['https://web.archive.org/__wb/calendarcaptures?url=http%3A%2F%2Fwww.latimes.com%2Frss2.0.xml&selected_year=2017']

    def parse(self, response):
        for i in json.loads(response.body):
            for j in i:
                for k in j:
                    if k and ('ts' in k):
                        for url_date in k['ts']:
                            url = "https://web.archive.org/web/%s/http://www.latimes.com/rss2.0.xml" % url_date
                            yield Request(url, callback=self.parse_item)

    def parse_item(self, response):
        for item in response.xpath('//item'):
            yield {
                'title': item.xpath('title/text()').extract_first(),
                'link': item.xpath('link/text()').extract_first(),
            }
